Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#39213 - [phppgadmin][phpldapadmin][phpmyadmin] update example configuration file for Apache 2.4

Attached to Project: Community Packages
Opened by Sebastiaan Lokhorst (lonaowna) - Friday, 07 March 2014, 09:38 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Friday, 07 March 2014, 16:19 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sergej Pupykin (sergej)
Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

The example configuration file provided for Apache located in /etc/webapps/$pkg/apache.example.conf needs to be updated for Apache 2.4.

The two lines
Order allow,deny
Allow from all
need to be replaced with
Require all granted

The line
php_admin_value ...
also doesn't work. But I don't know what to do about it.
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Friday, 07 March 2014, 16:19 GMT
Reason for closing:  Fixed
Additional comments about closing:  Removed all apache specific configs.
Comment by Bartłomiej Piotrowski (Barthalion) - Friday, 07 March 2014, 10:50 GMT
I simply dropped this file from phpmyadmin, I don't use Apache.
Comment by patrick (potomac) - Friday, 07 March 2014, 14:51 GMT
I confirm the bug, and there a lot of people who use apache with phpmyadmin,

one workaround is to set the httpd-phpmyadmin.conf file like this :

Alias /phpmyadmin "/usr/share/webapps/phpMyAdmin"
<Directory "/usr/share/webapps/phpMyAdmin">
AllowOverride All
Options FollowSymlinks
Require all granted
</Directory>

and to use php-fpm package ( if mpm_event_module is used in apache ) and to add some lines in httpd.conf file, see this topic :

https://bbs.archlinux.org/viewtopic.php?id=178124&p=1
Comment by Sven-Hendrik Haase (Svenstaro) - Friday, 07 March 2014, 15:29 GMT
I agree with Barthalion, this should be a documentation thingy in the wiki and not in the package. I will follow that example and remove the apache example from postfixadmin.

Loading...